<?
include_once 'config.php';
include '../../system/core.php';
$_title = 'Пополнение баланса';
include '../../system/header.php';
/////////////
echo '<div class="tegi">Пополнение баланса</div>';
if (isset($_POST['summa']))
	{
	if (preg_match('#^([0-9]+)$|^([0-9]+\.)+([0-9]{1,2})$#', $_POST['summa']))
		{
		$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$_POST['summa'].'&hash='.$hash);
		if (is_numeric($data))
			{
			mysql_query("INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`) values('".$user['id']."', '".$data."', '".time()."', '".$_POST['summa']."')");
			header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
			exit();
			}
			else
			{
			$err=$data;
			}
		}
		else
		{
		$err='<div class="post2">Введите корректно сумму</div>';
		}
	}
echo ''.$err.'';
echo '<div class="post2">Ваш баланс '.$user['rub'].' рублей<br/>
Пополнить на:<br/>
<form action="?" method="post">
<input name="summa" type="text" value="1.00"/> р.<br/>
<input type="submit" value="Пополнить"/>
</form></div>';

include '../../system/footer.php';
?>